### Method

# Ide Config set_toolchain_id

#### Declaration

    void
    ide_config_set_toolchain_id (
      IdeConfig* self,
      const gchar* toolchain_id
    )

#### Description

Sets the toolchain id for the configuration.

Available since: | 3.32

Sets property | `Ide.Config:toolchain-id`

#### Parameters

`toolchain_id` | `const gchar*`
| The id of an `IdeToolchain`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.